List Operation Pattern Rules
/api/operation-pattern-rulesReturns Operation Pattern Rules in the given dataset. Omitting serviceNamespace
and serviceName returns every rule in the dataset across all services; supplying
both scopes the response to that single service.
Parameters 7
datasetqueryrequiredThe dataset to list Pattern Rules from.
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
"^[a-zA-Z0-9_-]{3,26}$"serviceNamespacequeryFilter to rules scoped to this OpenTelemetry service.namespace. Requires serviceName to also be set.
serviceNamequeryFilter to rules scoped to this OpenTelemetry service.name.
ownershipqueryFilter to rules with this ownership.
user_defined: created, or promoted fromauto_derived, by a human through this API.auto_derived: inferred by the Operation Miner.
"user_defined""auto_derived"statusqueryFilter to rules with this status.
active: applied by the collector's Operation Processor.inactive: stored but not applied.
"active""inactive"limitqueryMaximum number of rules to return.
50minimum 1maximum 200offsetqueryNumber of rules to skip.
0minimum 0Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/operation-pattern-rules?dataset=default' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
List of Operation Pattern Rules
Whether there are more rules beyond the current page.